Bug 450745 - Server's hostname must be the same as the one entered to ipa-server-install
Server's hostname must be the same as the one entered to ipa-server-install
Status: CLOSED CURRENTRELEASE
Product: freeIPA
Classification: Community
Component: Documentation (Show other bugs)
1.0
All Linux
high Severity low
: ---
: ---
Assigned To: David O'Brien
Chandrasekar Kannan
: Documentation
Depends On:
Blocks: 429034
  Show dependency treegraph
 
Reported: 2008-06-10 15:44 EDT by Martin Nagy
Modified: 2016-07-26 19:47 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-14 19:57:26 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Martin Nagy 2008-06-10 15:44:13 EDT
Description of problem:
It should be documented somewhere that the hostname entered to the
ipa-server-install script must be the same as the one setuped on the machine,
otherwise dirsrv can't use it's own keytab, which results in commands such as
ipa-finduser to fail.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 David O'Brien 2008-06-16 10:34:59 EDT
Added to installation guide "Configuring the IPA Server" (currently section 3.2)
Comment 2 Michael Gregg 2008-11-19 19:27:28 EST
verified 11-19-08

from: 
http://www.redhat.com/docs/en-US/Red_Hat_Enterprise_IPA/1.0/html/Installation_Deployment_Guide/sect-Installation_Deployment_Guide-Setting_up_the_IPA_Server-Configuring_the_IPA_Server.html

"
Note

The hostname that you enter into the ipa-server-install script must be the same as that returned by the hostname command, otherwise the Directory Server cannot use its own keytab. This can cause some ipa-* commands to fail.
"
Comment 3 Andrew Ross 2009-12-14 19:57:26 EST
Fix is verified in comment #2 closing bug :)

Note You need to log in before you can comment on or make changes to this bug.